Filters
Get Company Filter Values
Returns valid values for a single company filter type.
| Filter type | Query required? |
|---|---|
sizes | No |
revenues | No |
sics | No |
naics | No |
intentTopics | No |
industriesLabels | No |
names | Yes (2-256 chars) |
technologies | Yes (2-256 chars) |
locations | Yes (2-256 chars) |
GET
/
v3
/
companies
/
prospecting
/
filters
/
{filterType}
Get Company Filter Values
curl --request GET \
--url https://api.lusha.com/v3/companies/prospecting/filters/{filterType} \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/v3/companies/prospecting/filters/{filterType}"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/v3/companies/prospecting/filters/{filterType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/v3/companies/prospecting/filters/{filterType}")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/v3/companies/prospecting/filters/{filterType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"values": "<unknown>"
}Authorizations
Your Lusha API key. You can find this in your Lusha dashboard under API settings.
Include this key in the api_key header for all requests.
Path Parameters
Available options:
names, sizes, revenues, locations, sics, naics, industriesLabels, intentTopics, technologies Query Parameters
Required string length:
2 - 256Response
Successful response
Filter values (shape depends on filter type)
Was this page helpful?
⌘I
Get Company Filter Values
curl --request GET \
--url https://api.lusha.com/v3/companies/prospecting/filters/{filterType} \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/v3/companies/prospecting/filters/{filterType}"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/v3/companies/prospecting/filters/{filterType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/v3/companies/prospecting/filters/{filterType}")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/v3/companies/prospecting/filters/{filterType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"values": "<unknown>"
}